package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 第三方商户表实体
 * 表名 third_merchant_biz
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-02-15 11:43:32
 */
public class ThirdMerchantBizVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 第三方商户编号，主键编号
     */
    private Integer thirdMerchSn;

    private String merchSn;
    /**
     * 第三方商户代码
     */
    private String thirdPartyMerchCode;
    /**
     * 第三方商户名称
     */
    private String thirdPartyMerchName;

    private String isStockShare;

    private String isStoreUserShare;


    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 创建人序号
     */
    private String createrSn;
    /**
     * 创建时间,yyyy-MM-dd HH:mm:ss
     */
    private Date createTime;
    /**
     * 
     */
    private String moderSn;
    /**
     * 修改时间,yyyy-MM-dd HH:mm:ss
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String isMapShow;

    public String getIsMapShow() {
        return isMapShow;
    }

    public void setIsMapShow(String isMapShow) {
        this.isMapShow = isMapShow;
    }

    public String getIsStoreUserShare() {
        return isStoreUserShare;
    }

    public void setIsStoreUserShare(String isStoreUserShare) {
        this.isStoreUserShare = isStoreUserShare;
    }

    public String getIsStockShare() {
        return isStockShare;
    }

    public void setIsStockShare(String isStockShare) {
        this.isStockShare = isStockShare;
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 设置：第三方商户编号，主键编号
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：第三方商户编号，主键编号
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：第三方商户代码
     */
    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode;
    }

    /**
     * 获取：第三方商户代码
     */
    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }
    /**
     * 设置：第三方商户名称
     */
    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName;
    }

    /**
     * 获取：第三方商户名称
     */
    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：创建人序号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人序号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间,yyyy-MM-dd HH:mm:ss
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
